## gst-plugins-good0.10 0.10.2-osso15-1

=== debian/changelog ===
gst-plugins-good0.10 (0.10.2-osso15-1) unstable; urgency=low

  * Mem leak fix in wavparse (33028)

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 20 Jun 2006 14:09:48 +0300

gst-plugins-good0.10 (0.10.2-osso14-1) unstable; urgency=low

  * Mem leak fix for avidemux (31550)

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri,  2 Jun 2006 09:32:24 +0300

gst-plugins-good0.10 (0.10.2-osso13-1) unstable; urgency=low

  * Fix for bug 30275.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 29 May 2006 13:31:29 +0300

gst-plugins-good0.10 (0.10.2-osso12-1) unstable; urgency=low

  * Fix for bug 29392.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 15 May 2006 14:27:17 +0300

gst-plugins-good0.10 (0.10.2-osso11-1) unstable; urgency=low

  * Small mem fix for avi demuxer

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 12 May 2006 13:33:46 +0300

gst-plugins-good0.10 (0.10.2-osso10-1) unstable; urgency=low

  * Avi index mem optimisation

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue,  9 May 2006 12:06:27 +0300

gst-plugins-good0.10 (0.10.2-osso9-1) unstable; urgency=low

  * Fix for bug 25470 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed,  3 May 2006 14:19:17 +0300

gst-plugins-good0.10 (0.10.2-osso8-2) unstable; urgency=low

  * Build fix

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 24 Apr 2006 09:58:16 +0300

gst-plugins-good0.10 (0.10.2-osso8-1) unstable; urgency=low

  * Fixed a memory leak in wavparse 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 19 Apr 2006 09:58:16 +0300

gst-plugins-good0.10 (0.10.2-osso7-1) unstable; urgency=low

  * gst/rtp/gstrtppcmapay.c:
  * gst/rtp/gstrtppcmapay.h:
  * gst/rtp/gstrtppcmupay.c:
  * gst/rtp/gstrtppcmupay.h:
    Ported mulaw and alaw payloaders to use new base class
  * gst/rtp/Makefile.am:
  * gst/rtp/gstrtp.c:
  * gst/rtp/gstrtpilbcpay.c:
  * gst/rtp/gstrtpilbcpay.h:
  * gst/rtp/gstrtpilbcdepay.c:
  * gst/rtp/gstrtpilbcdepay.h:
    Added new iLBC payloader/depayloader. Payloader uses new audio payload
    base class.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 18 Apr 2006 17:28:47 +0300

gst-plugins-good0.10 (0.10.2-osso6-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  6 Apr 2006 09:18:43 +0300

gst-plugins-good0.10 (0.10.2-osso5-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 23 Mar 2006 17:11:53 +0200

gst-plugins-good0.10 (0.10.2-osso4-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 17 Mar 2006 13:26:07 +0200

gst-plugins-good0.10 (0.10.2-osso3-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  2 Mar 2006 15:28:02 +0200

gst-plugins-good0.10 (0.10.2-osso2-1) unstable; urgency=low

  * Initial Release.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 24 Feb 2006 19:51:37 +0200
