=== debian/control ===
Source: gst-plugins-good0.10
Section: libs
Priority: optional
Maintainer: Makoto Sugano <makoto.sugano@nokia.com>
Build-Depends: libgstreamer0.10-dev (>= 0.10.4-osso2), libgstreamer-plugins-base0.10-dev (>= 0.10.5-osso7), autotools-dev, debhelper (>= 4.1.0), pkg-config (>= 0.11.0), gconf2, libglib2.0-dev, liboil0.3-dev (>= 0.3.2), libgconf2-dev
Standards-Version: 3.6.2

Package: gstreamer0.10-plugins-good
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: gstreamer0.10-audiosink, gstreamer0.10-colorspace, gstreamer0.10-videosink
Description: Collection of various GStreamer plugins
 This collection of miscellaneous GStreamer plugins is useful to process
 different types of streams.  You most certainly want to install this package.
