## gst-plugins-good0.10 0.10.2-osso16-1

=== debian/changelog ===
gst-plugins-good0.10 (0.10.2-osso16-1) unstable; urgency=low

  * Fixes: NB#30515,NB#30336,NB#33631 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 16 Aug 2006 12:07:51 +0300
