## gst-plugins-good0.10 0.10.15-git180-0maemo8+0m5

=== debian/changelog ===
gst-plugins-good0.10 (0.10.15-git180-0maemo8+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Wed, 23 Sep 2009 11:42:42 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo8) unstable; urgency=low

  * rtpg729pay: Fix memory leaks.
  * Fixes: NB#139304 - rtpg729pay leaks memory if non-default ptime
    parameters are set

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 18 Sep 2009 18:05:57 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo7) unstable; urgency=low

  * qtdemux: Improve 3GPP tag parsing.
  * Fixes: NB#132837 - qtdemux is not reading keyword metadata out from
    mp4-files

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 16 Sep 2009 14:07:34 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo6) unstable; urgency=low

  * avidemux: Fix various crashers on bad input files.
  * jpegdec: Fix endless loop on bogus input data.
  * qtdemux: Add lots of size checks to prevent crashes on broken input.
  * wavparse: Leak fixes and streaming problems.
  * Fixes: NB#125539 - Fuzzy test files cause GStreamer crashes

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 25 Aug 2009 15:25:47 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo5) unstable; urgency=low

  * pulsesink: Revert 2af7977 "use values from
    pa_stream_get_buffer_attr()", which introduced 100ms extra latency
    (for VOIP calls at least).
  * Fixes: NB#127290 - Roundtrip delay is too high for Skype certification

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 18 Aug 2009 18:16:25 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo4) unstable; urgency=low

  * Fix debug package being empty and useless.
  * Fixes: NB#131738 - gst-plugins-good debug package is empty
  * Small control file changes to get rid of some lintian warnings.

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 06 Aug 2009 18:49:37 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo3) unstable; urgency=low

  * Use -O2 optimization flag in release mode. Partially fixes NB#129635.
  * Move wavenc element from -extra to the base package.

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 30 Jul 2009 10:55:25 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo2.2) unstable; urgency=low

  * Fixes: NB#129834 - Re-introduce the alaw encoder/decoder.

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Fri, 24 Jul 2009 14:35:19 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo2.1) unstable; urgency=low

  * Bug number 125539 isn't fixed, so correcting entry in changelog

 -- Marco Ballesio <marco.ballesio@nokia.com>  Fri, 17 Jul 2009 09:34:11 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo2) unstable; urgency=low

  * Improvements on bug number 128189

 -- Marco Ballesio <marco.ballesio@nokia.com>  Wed, 15 Jul 2009 18:07:22 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo1) unstable; urgency=low

  * Update to v0.10.15-180-g2bcf52d.
  * Lots of crashers fixed in qtdemux for broken/fuzzed files.
  * avidemux: Implement fast tagreading
  * Fixes: NB#125815 - Metadata extraction fails for large AVI files 
  * Fixes: NB#122378 - tracker-extract is crashing (in qtdemux)
  * Fixes: NB#124037 - tracker-extract gst_util_uint64_scale: assertion
    `denom != 0' failed
  * Partially fixes: bug number 125539 - Fuzzy test causes gstreamer crash

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 10 Jul 2009 14:42:34 +0300

gst-plugins-good0.10 (0.10.15-0maemo4) unstable; urgency=low

  * Move alaw/mulaw/speex encoders/decoders and effectv effect plugin to
    -extra package. This frees up about 110 KB.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 29 Jun 2009 16:40:06 +0300

gst-plugins-good0.10 (0.10.15-0maemo3) unstable; urgency=low

  * rtspsrc: Decrease UDP receiving timeout from 5 to 2 seconds. Rtsp
    streams that have their UDP traffic blocked by the local network need
    to elapse this timeout before switching to TCP, and 5 seconds is quite
    long.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 08 Jun 2009 15:43:39 +0300

gst-plugins-good0.10 (0.10.15-0maemo2) unstable; urgency=low

  * rtpmp4gdepay: Fix AAC caps to prevent AAC parser getting plugged.
  * Fixes: NB#118886 - RTSP MP4 AAC streaming is not working

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 01 Jun 2009 14:49:10 +0300

gst-plugins-good0.10 (0.10.15-0maemo1) unstable; urgency=low

  * Drop fast tagreading implementations until they get updated to the new
    version.
  * Fix new pulsesink proplist patch.
  * Cherry-pick patch for pulsesink over/underflow warnings.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 25 May 2009 13:14:11 +0300

gst-plugins-good0.10 (0.10.14.3-0maemo1) unstable; urgency=low

  * New upstream pre-release. Fixes avi seeking.
  * Change pulsesink patch to expose the whole proplist instead of just
    the event-id.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 19 May 2009 17:59:21 +0300

gst-plugins-good0.10 (0.10.14.2-0maemo2) unstable; urgency=low

  * Fix h263 depayloader passing on corrupted data.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 18 May 2009 14:33:36 +0300

gst-plugins-good0.10 (0.10.14.2-0maemo1) unstable; urgency=low

  * New upstream pre-release.
  * pulsesink: Complete rewrite this time, getting rid of the internal
    ringbuffer (saves memory copy and one processing thread).
  * Fixes: NB#113660 - GStreamer audio inserts silence initially
  * avidemux: Dropped index table copy patch for now, need to resync with
    upstream.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 15 May 2009 15:40:31 +0300

gst-plugins-good0.10 (0.10.14-0maemo10) unstable; urgency=low

  * pulsesink: Fix double free of pa_proplist when the pulseaudio stream
    state goes bad.
  * Fixes: NB#111906 - pulsesink crashing on error

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 07 May 2009 18:07:50 +0300

gst-plugins-good0.10 (0.10.14-0maemo9) unstable; urgency=low

  * qtdemux: Fix classification tag byte order.

