=== debian/control ===
Source: gst-plugins-good0.10
Section: libs
Priority: optional
Maintainer: Maemo Multimedia <multimedia@maemo.org>
Build-Depends: 	libgstreamer0.10-dev (>= 0.10.21), 
		libgstreamer-plugins-base0.10-dev (>= 0.10.21), 
		autotools-dev, 
		cdbs (>= 0.4.20), 
		debhelper (>= 5), 
		pkg-config (>= 0.11.0), 
		gtk-doc-tools, 
		libgconf2-dev, 
		libglib2.0-dev (>= 2.12), 
		liboil0.3-dev (>= 0.3.8), 
		libcairo2-dev, 
		libspeex-dev (>= 1.1.6), 
		libpng12-dev, 
		libjpeg62-dev (>= 6b), 
		gconf2, 
		libxext-dev, 
		libxv-dev, 
		libxml2-dev, 
		libgtk2.0-dev, 
		libdbus-1-dev (>= 0.32), 
		libhal-dev (>= 0.5.6), 
		gstreamer-tools (>= 0.10.14), 
		lsb-release, 
		gstreamer0.10-plugins-base, 
		libsoup2.4-dev (>= 2.3.2), 
		libpulse-dev (>= 0.9.8), 
		libbz2-dev,
                quilt
Standards-Version: 3.8.0

Package: gstreamer0.10-plugins-good-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GStreamer documentation for plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This packages contains documentation for plugins from the "good" set,
 a set of good-quality plug-ins under the LGPL license.

Package: gstreamer0.10-plugins-good
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer0.10-plugins-base
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "good" set, a set
 of good-quality plug-ins under the LGPL license.

Package: gstreamer0.10-plugins-good-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends}, gstreamer0.10-plugins-good (= ${binary:Version})
Replaces: gstreamer0.10-plugins-bad-dbg (<< 0.10.7.2)
Description: GStreamer plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: gstreamer0.10-plugins-good-extra
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer0.10-plugins-good (>= ${binary:Version})
Description: Collection of various GStreamer plugins
 This package provides gstmultifilesink and gstmultifilesrc 
 elements.

Package: gstreamer0.10-plugins-good-extra-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends}, gstreamer0.10-plugins-good-extra (= ${binary:Version})
Description: Debug symbols for gstreamer0.10-plugins-good-extra
 This package provides gstmultifilesink and gstmultifilesrc
 elements and debug symbols.
