## gst-plugins-good0.10 0.10.16-git276-0maemo4+0m5

=== debian/changelog ===
gst-plugins-good0.10 (0.10.16-git276-0maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Wed, 25 Nov 2009 16:02:52 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo4) unstable; urgency=low

  * jitterbuffer: Fix deadlock.
  * Fixes: NB#146897 - telepathy stream engine crash

 -- Rene Stadler <rene.stadler@nokia.com>  Sat, 21 Nov 2009 14:48:25 +0100

gst-plugins-good0.10 (0.10.16-git276-0maemo3) unstable; urgency=low

  * Fix -extra debug package being empty.
  * Move Matroska and FLV plugins from -extra to a new binary package
    called gstreamer0.10-plugins-good-extra-formats. This is needed
    because we require tracker-distutils for this, which is in maemo.org
    repositories (while -extra is used in Nokia).

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 09 Nov 2009 20:08:16 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo2) unstable; urgency=low

  * jpegdec: Remove 3MB stack allocation, which is suspected to cause
    stack overflow.
  * Fixes: NB#140042 - MAFW segfaults in gstreamer: jpeg_idct_ifast
  * Fixes: NB#141508 - Specific video file (mjpeg) makes Mediaplayer
    unusable
  * rtspsrc: Drop very old Maemo patch that supposedly took care of EOS
    handling (while also disabling seeking).
  * In -extra package, register MIME types to Tracker (.mkv and .flv video
    container formats).

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 04 Nov 2009 13:19:28 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo1) unstable; urgency=low

  * Update to v0.10.16-276-g0c12f58.
  * pulsesink: Drop maxlength limitation patch again. This allows for
    configuring to a lower latency (buffer-time).
  * avidemux: Seeking fixes.
  * jpegdec: Fix crash for unusual vertical chroma subsampling factors
  * pulsesink: Don't assert when pulseaudio mainloop creation fails
  * Fixes: NB#140414 - Modest crashed randomly in gst_pulsesink_init

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 02 Nov 2009 15:40:45 +0200

gst-plugins-good0.10 (0.10.16-git168-0maemo2) unstable; urgency=low

  * Relax pulseaudio latency bug workaround, which wasn't working for
    Skype calls for some reason. Also revert effective pulsesink buffer
    metrics logic to be one the safe side.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 13 Oct 2009 16:56:41 +0300

gst-plugins-good0.10 (0.10.16-git168-0maemo1) unstable; urgency=low

  * Update to v0.10.16-168-g7b6e594.
  * Fixes: NB#129936 - pulsesink threads are not RT, causing audio breaks
    in VOIP calls
  * Fixes: NB134561 - After Hold/Unhold the call voice transmission is
    inconsistent
  * Fixes: NB#141131 - Changing ring tone crashes the control panel for
    some m4a files
  * avidemux: dropped fast tagreading patch, the improved upstream version
    of avidemux is 4 times faster without any special case handling
  * avidemux: index handling reworked; reduced memory usage and much
    faster startup time (especially for long movies)
  * Fixes: NB#119914 - Time for starting a video playback is above target
    value
  * rtpmp4gdepay: Ignore AU-Index in simple streams, some servers put
    unexpected values there.
  * Fixes: NB#135187 - YLE rtsp streams cannot be played
  * Moved rtpmanager plugin from -bad to -good
  * Fixes: NB#126928 - Ending of Call leads to SE crash

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 07 Oct 2009 16:04:38 +0300

gst-plugins-good0.10 (0.10.15-git180-0maemo9) unstable; urgency=low

  * Fixes: NB#140391 - mulaw in -good package instead of -extra
  * Add flv-element to the -extra.

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 06 Oct 2009 14:26:36 +0300
