=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 		gstreamer-tools (>= 0.10.14), 
 		lsb-release, 
 		gstreamer0.10-plugins-base, 
-		libsoup2.4-dev (>= 2.3.2), 
+		libsoup2.4-dev (>= 2.26), 
 		libpulse-dev (>= 0.9.8), 
 		libbz2-dev,
                 quilt
@@ -60,6 +60,7 @@
 XB-GStreamer-Encoders: ${gstreamer:Encoders}
 XB-GStreamer-Decoders: ${gstreamer:Decoders}
 Provides: ${gstreamer:Provides}
+Replaces:  gstreamer0.10-plugins-good-extra (<< 0.10.15-git180-0maemo9), gstreamer0.10-plugins-bad (<< 0.10.14)
 Description: GStreamer plugins from the "good" set
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -76,7 +77,7 @@
 Section: libdevel
 Priority: extra
 Depends: ${misc:Depends}, gstreamer0.10-plugins-good (= ${binary:Version})
-Replaces: gstreamer0.10-plugins-bad-dbg (<< 0.10.7.2)
+Replaces: gstreamer0.10-plugins-good-extra-dbg (<< 0.10.15-git180-0maemo9), gstreamer0.10-plugins-bad-dbg (<< 0.10.14)
 Description: GStreamer plugins from the "good" set
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -94,6 +95,7 @@
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}, gstreamer0.10-plugins-good (>= ${binary:Version})
+Replaces: gstreamer0.10-plugins-good (<< 0.10.15-0maemo4)
 Description: Collection of various GStreamer plugins
  This package provides gstmultifilesink and gstmultifilesrc 
  elements.
@@ -103,6 +105,41 @@
 Section: libdevel
 Priority: extra
 Depends: ${misc:Depends}, gstreamer0.10-plugins-good-extra (= ${binary:Version})
+Replaces: gstreamer0.10-plugins-good-dbg (<< 0.10.15-0maemo4)
 Description: Debug symbols for gstreamer0.10-plugins-good-extra
  This package provides gstmultifilesink and gstmultifilesrc
  elements and debug symbols.
+
+Package: gstreamer0.10-plugins-good-extra-formats
+Architecture: any
+Priority: optional
+Section: user/multimedia
+Depends: ${misc:Depends}, ${shlibs:Depends}, tracker-distutils
+Replaces: gstreamer0.10-plugins-good-extra (<= 0.10.16-git276-0maemo2)
+Description: Matroska (mkv) and FLV format support for GStreamer
+ This package provides the matroska and flv plugins.
+XB-Maemo-Display-Name: GStreamer Extra Formats (mkv/flv)
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
+ fAhkiAAAAAlwSFlzAAAHfwAAB38BeF7kggAAABl0RVh0U29mdHdhcmUAd3d3
+ Lmlua3NjYXBlLm9yZ5vuPBoAAAHgSURBVEiJ7dW/a9RwGMfx95PmOojiYXVS
+ 1EUoXNok3xwI/qiKOnWrg4IiLnKT/4F/Qf8A4TYdxMXBoXvBgkq5fHPRIoo4
+ ioNVRLmqqenjYCia2msOpIjcB75LeB5e359EVJXtiLMtyhAaQr/G/eNXESEM
+ I1TPIOKh+gLHSVCNsfbdb7VB0MBxbqC6QJLc3QySDe/I8/YwOvoAOLlJz2vg
+ EZABZ4HDwD2y7BpLS1l1qNncAUwAy+R5DpzDcaZRPQ7sK/V/AGZJklm2ePkb
+ oX7x/QO4bggcRPUlef6YNO31azFtsxd4PxBk2mYcuApMAZP83MYU6AKLgLUt
+ +9W0zRhwArgCNIBGZci0TQTcBz4DeQGVb+0q8AY4BAjwEJixLTvYikrwGHAe
+ OAb4xdhdTOIpcAu4Y1t2FQY9o1I87/nOWi1zkyT4WOD7gWXbst/KtetQFNlJ
+ Vb0kIqdAJ4BXIF1V7aquPanXe8n8/OnvIjjG2FBVL4hwHWQmjs3CVpMSVSWK
+ 7GXQ28AXYK3YgnJ6wDNgHKgDKyAX49jMVVm9qCrNZlwDap1OtCKCE4bJURGd
+ Bp0CAmBXqW9O1blpbZhWQdahvgWC+P7ikZERNwA+iWja6URvqwKVob+V/+83
+ MYT+fegHTdS+/6VS6csAAAAASUVORK5CYII=
+
+Package: gstreamer0.10-plugins-good-extra-formats-dbg
+Architecture: any
+Section: libdevel
+Priority: extra
+Depends: ${misc:Depends}, gstreamer0.10-plugins-good-extra-formats (= ${binary:Version})
+Replaces: gstreamer0.10-plugins-good-extra-dbg (<= 0.10.16-git276-0maemo2)
+Description: Debug symbols for gstreamer0.10-plugins-good-extra-formats
+ This package provides debug symbols.
