=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,23 @@
 include /usr/share/cdbs/1/rules/utils.mk
 
 LDFLAGS += -Wl,-O1 -Wl,--as-needed
+
+CFLAGS += -Wno-error
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -O0
+else
+    CFLAGS += -O2
+endif
+
+ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+    CFLAGS += -DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1
+endif
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 # this is for compatibility with dpkg-dev < 1.13.5, see
 # <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
@@ -50,7 +67,7 @@
 gst_extra_build_depends += , libv4l-dev [@linux@]
 
 # debug package
-DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-good-dbg
+DEB_DH_STRIP_ARGS += --dbg-package=$(gst_pkgname)-plugins-good-dbg
 
 # disable all CPU specific optimizations in commands launched by this Makefile
 # using liboil; this is to work around liboil related build failures which
@@ -63,12 +80,14 @@
 # Link special names to a template file.
 # still need "*.install" to be done by hand
 
-PLUGINS += plugins-good plugins-good-extra
+PLUGINS += plugins-good plugins-good-extra plugins-good-extra-formats
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 PLUGINS +=
 endif
 VERSIONIZE= \
 	plugins-good-doc.install \
+	plugins-good-extra-formats.postinst \
+	plugins-good-extra-formats.postrm
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 1394 = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgst1394.so
@@ -156,12 +175,6 @@
 	--enable-gtk-doc \
 	--enable-experimental
 
-ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-    DEB_CONFIGURE_EXTRA_FLAGS += \
-       CFLAGS="-DG_DISABLE_CAST_CHECKS -DGST_DISABLE_GST_DEBUG=1 -O2"
-endif
-
-
 clean::
 	# get rid of the sym links
 	for i in $(PLUGINS); do \
@@ -195,4 +208,18 @@
 		mv $${patch}.chomped $$patch ; \
 	done
 
+update-common: COMMIT := $(shell git rev-parse $(shell git rev-parse --verify MERGE_HEAD || git merge-base $(UPSTREAM_REF) HEAD):common)
+update-common:
+	@if ! git diff-files --ignore-submodules --quiet common || \
+		! git diff-index --ignore-submodules --cached --quiet HEAD -- common; then \
+			echo "your common/ directory state is dirty"; \
+			exit 1; \
+		fi
+	if test -d $(CURDIR)/common ; then rm -rfv $(CURDIR)/common ; git rm -r --cached --ignore-unmatch $(CURDIR)/common ; fi
+	git clone -n git://anongit.freedesktop.org/gstreamer/common $(CURDIR)/common
+	cd $(CURDIR)/common && git checkout -f $(COMMIT)
+	rm -rfv $(CURDIR)/common/.git
+	git add $(CURDIR)/common
+	@echo "common update to $(COMMIT) staged, git commit to proceed"
+
 .PHONY: maint
