## gst-plugins-good0.10 0.10.16-git276-0maemo14+0m5

=== debian/changelog ===
gst-plugins-good0.10 (0.10.16-git276-0maemo14+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Marco Ballesio <marco.ballesio@nokia.com>  Wed, 10 Feb 2010 10:39:21 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo14) unstable; urgency=low

  * rtph264pay: Re-send SPS/PPS when requested.
  * Fixes: NB#155848 - Import sps/pps resending patch into -good from
    upstream bugzilla

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 08 Feb 2010 16:33:47 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo13) unstable; urgency=low

  * rtph264pay: Fix some caps handling.
  * Fixes: NB#153077 - Call disconnects with Telepathy-stream-engine crash
    when sip call is initiated between DUT and SIP PC client

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 22 Jan 2010 18:38:09 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo12) unstable; urgency=low

  * rtpg729pay: Fix ptime to be in nanoseconds.
  * Fixes: NB#152494 - Import ptime/maxptime patches in gst-p-base/good
  * rtpsession: Add property to change behavior for SSRC conflicts.
  * Fixes: NB#153143 - Video transmission option is almost unusable during
    SIP calls

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 21 Jan 2010 15:18:02 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo11) unstable; urgency=low

  * rtph264pay: Update from master
  * Fixes: NB#151145 - Google Talk Video PC client freezes rendering
    downstream video from N900

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 14 Jan 2010 18:30:44 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo10) unstable; urgency=low

  * tests: Add G.729 RTP payloader/depayloader test
  * rtpg729pay: Simplify adapter usage
  * rtpg729pay: Support ptime from caps
  * rtp: Add maxptime to the README
  * Partial fix: NB#152494 - Import ptime/maxptime patches in gst-p-base/good

 -- Harri Mähönen <ext-harri.mahonen@nokia.com>  Fri, 08 Jan 2010 10:05:30 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo9) unstable; urgency=low

  * rtspsrc: fix major memory leak
  * Fixes: NB#146026 - MAFW leaks ~1MB per video stream + sometimes also
    >10KB/s during connecting

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 10 Dec 2009 15:56:37 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo8) unstable; urgency=low

  * qtdemux: fix invalid memory read check
  * Fixes: NB#146406 - qtdemux won't read all tags from MP4 file

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 09 Dec 2009 15:19:43 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo7) unstable; urgency=low

  * avidemux: Fix frame timestamp calculation in streaming mode.
  * Fixes: NB#144866 - Media Player does not play a video file from shared
    media - black screen

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 07 Dec 2009 17:50:21 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo6) unstable; urgency=low

  * jpegdec: Reset segment info (for QOS) after flushing seek
  * Fixes: NB#149008 - mjpeg video plays badly after seek or makes media
    player unresponsive

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 04 Dec 2009 13:40:40 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo5) unstable; urgency=low

  * Fixes: NB#143982 - H.264 depayloader not aggregating complete access units

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 24 Nov 2009 20:03:32 +0200
