## gst-plugins-good0.10 0.10.16-git276-0maemo18+0m5

=== debian/changelog ===
gst-plugins-good0.10 (0.10.16-git276-0maemo18+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.10.16-git276-0maemo18+0m5

 -- Marco Ballesio <marco.ballesio@nokia.com>  Tue, 13 Apr 2010 14:53:56 +0300

gst-plugins-good0.10 (0.10.16-git276-0maemo18) unstable; urgency=low

  * rtph264depay: send *PS separately for nalu_type 24
  * Fixes: NB#163199 - YLE high quality mobile video streams cannot be played
    in Fremantle anymore, work fine in Diablo

 -- Marco Ballesio <marco.ballesio@nokia.com>  Mon, 12 Apr 2010 13:01:02 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo17) unstable; urgency=low

  * rtph264depay: detect PSes when they're outband
  * Fixes: NB#162987 - CTA - Smartone-cannot stream H.264

 -- Marco Ballesio <marco.ballesio@nokia.com>  Thu, 08 Apr 2010 18:52:53 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo16) unstable; urgency=low

  * h264depay: handle properly STAPs
  * Fixes: NB#163199 - YLE high quality mobile video streams cannot be played
    in Fremantle anymore, work fine in Diablo

 -- Marco Ballesio <marco.ballesio@nokia.com>  Wed, 07 Apr 2010 16:46:12 +0200

gst-plugins-good0.10 (0.10.16-git276-0maemo15) unstable; urgency=low

  * rtph264depay: drop buffers until the first Parameter Set is received.
  * Fixes: NB#160778 - videocall is disconnected after few seconds

 -- Marco Ballesio <marco.ballesio@nokia.com>  Wed, 17 Mar 2010 11:12:12 +0200
