## gst-plugins-good0.10 0.10.16-git276-0maemo19+0m5

=== debian/changelog ===
gst-plugins-good0.10 (0.10.16-git276-0maemo19+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.10.16-git276-0maemo19+0m5

 -- Marco Ballesio <marco.ballesio@nokia.com>  Thu, 26 Aug 2010 12:14:12 +0300

gst-plugins-good0.10 (0.10.16-git276-0maemo19) unstable; urgency=low

  * rtph264depay: rtph264depay: move PS check to the adapter push
  * Fixes: NB#186703 - Remote video during a skype video call between n900
    and skype tv fails to play

 -- Marco Ballesio <marco.ballesio@nokia.com>  Thu, 26 Aug 2010 12:09:08 +0300
