=== debian/control ===
--- 
+++ 
@@ -52,7 +52,8 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gstreamer0.10-plugins-base
+         gstreamer0.10-plugins-base,
+         libgstreamer-plugins-base0.10-0 (>= 0.10.25-0maemo13)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
